Subject: Re: Grad programs - Internat'l Agricultural Development??
From: [email-masked]
Date: 25 Jul 1994 18:31:31 GMT
Newsgroups: alt.agriculture.misc,sci.agriculture,alt.sustainable.agriculture

In article <[email-masked]>, "James A. Chapman" <[email-masked]> writes:
>> I am seeking information about graduate programs in International 
>> Agricultural Development or International Development (with a focus on 
>> rural/agricultural development).  I know about the programs at Cornell 
>> University and UC-Davis>
>> Thanks for the help!
>> Jessica   --   Post a response or email me at [email-masked]
>
>Suggest you check out the Department of Agricultural Economics at 
>Michigan State University.  Others include UMinnesota, Iowa State and 
>North Carolina State.
Also, try contacting the College of Agriculture, Ohio State University,
Columbus, OH.  

GO BUCKS!!!

Laurie Holcomb